import std.stdio;
import std.math;
import Dislin;

void main (string[] args)
{ int nl, ny, i, nxp = 0;
  char *ctit = "Symbols";
  char [3] cstr;
    
  setpag("da4p");
  metafl ("xwin");
  disini ();
  pagera ();
  color ("yellow");
  hwfont ();

  height (60);
  nl = nlmess (ctit);
  nl = nlmess(ctit);
  messag (ctit, (2100 - nl) / 2, 200);

  height (50);
  hsymbl(120);

  ny = 150;

  for (i = 0; i < 24; i++)
  { if ((i % 4) == 0) 
    { ny  += 400;
      nxp  = 550;
    }
    else
    { nxp += 350;
    }

    nl = intcha (i, cast (char *) cstr);
    nl = nlmess (cast (char *) cstr) / 2;
    messag (cast (char *) cstr, nxp - nl, ny + 150);
    symbol (i, nxp, ny);
  }

  disfin ();
}
